Last Comment Bug 656187 - Remove modules/lib7z/ since it was only used for the WinCE installer
: Remove modules/lib7z/ since it was only used for the WinCE installer
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All Windows CE
: -- normal (vote)
: mozilla6
Assigned To: Ed Morley [:emorley]
:
:
Mentors:
Depends on: 652445
Blocks: 614720
  Show dependency treegraph
 
Reported: 2011-05-10 18:41 PDT by Ed Morley [:emorley]
Modified: 2011-05-18 02:50 PDT (History)
3 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove modules/lib7z/ (1.85 MB, patch)
2011-05-10 18:52 PDT, Ed Morley [:emorley]
benjamin: review+
Details | Diff | Splinter Review
Remove modules/lib7z/ (1.85 MB, patch)
2011-05-16 13:11 PDT, Ed Morley [:emorley]
emorley: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2011-05-10 18:41:17 PDT
Bug 652445 removed the following from toolkit/toolkit-tiers.mk:

@@ -90,20 +87,16 @@ ifndef MOZ_NATIVE_BZ2
-ifeq ($(OS_ARCH),WINCE)
-tier_platform_dirs += modules/lib7z
-endif
(in https://bugzilla.mozilla.org/attachment.cgi?id=528592&action=diff#a/toolkit/toolkit-tiers.mk_sec2)

This now makes modules/lib7z/ unused (as far as I can tell, but am running past try to be sure):
http://mxr.mozilla.org/mozilla-central/search?string=7zstub
http://mxr.mozilla.org/mozilla-central/search?string=7zLib

-> 438 files can be hg rm'd :-D
Comment 1 Ed Morley [:emorley] 2011-05-10 18:47:57 PDT
The first MXR link above should instead be:
http://mxr.mozilla.org/mozilla-central/search?string=lib7z
Comment 2 Ed Morley [:emorley] 2011-05-10 18:52:16 PDT
Created attachment 531520 [details] [diff] [review]
Remove modules/lib7z/


--

Blassey, once lib7z is removed, do you know if /other-licenses/7zstub/src/ is still used? This MXR search implies not...
http://mxr.mozilla.org/mozilla-central/search?string=7zstub

Just wondered if I can take it out at the same time - thanks! :-)
Comment 3 Ed Morley [:emorley] 2011-05-10 18:53:38 PDT
(In reply to comment #2)
> Remove modules/lib7z/

http://dev.philringnalda.com/tbpl/?tree=Try&rev=e179a3319e5f
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-05-10 19:05:01 PDT
I don't think its used elsewhere, but I don't see any reason to remove it either
Comment 5 Ed Morley [:emorley] 2011-05-10 19:27:15 PDT
If it's not used why does it need to be kept?

Dead code is unnecessary clutter that only serves to make the tree appear even more complicated to newcomers & is another 440 files that have to be searched when greping the tree for something else. 

If it is ever wanted in the future, well that's the whole point of a VCS. That and I'm sure the 3rd party code is out of date by now and would need to be updated from upstream anyway - so there's no point keeping this old version around.
Comment 6 Ed Morley [:emorley] 2011-05-16 13:11:14 PDT
Created attachment 532721 [details] [diff] [review]
Remove modules/lib7z/

Only change is updated commit message to include the r=bsmedberg.
Carrying forwards r+.

Ready for check in (passed try in comment 3).
Comment 7 Mounir Lamouri (:mounir) 2011-05-18 02:50:44 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/1d0a6f0b04cb

Note You need to log in before you can comment on or make changes to this bug.